# Changelog

## 2025-01-01 - 1.0.40 - fix(test)
Fix test configuration and import path in test suite

- Changed the test command in package.json to include the build step.
- Fixed the import path for smartssr in the test suite to point to the correct distribution directory.
- Added console log to display rendered HTML content during test execution.

## 2025-01-01 - 1.0.39 - fix(core)
Fixed package and file path typos and removed GitLab CI configuration.

- Corrected the package scope typos from '@gitzone' to '@git.zone'.
- Removed unused GitLab CI YAML configuration file.
- Normalized CSS scoping for shadow DOM serialization with incremental ID generation.
- Updated smartfile dependency version in package.json.

## 2024-05-29 - 1.0.38 - Configuration Updates
Minor updates to project configuration files.

- Updated description
- Revised tsconfig
- Updated npmextra.json: githost

## 2023-07-27 - 1.0.35 to 1.0.37 - Core Fixes
Maintenance releases focusing on core updates.

- Multiple fixes to the core module

## 2021-08-16 - 1.0.27 to 1.0.34 - Core Enhancements
Several updates targeting enhancements in the core functionality.

- Series of core module updates

## 2021-05-19 - 1.0.23 to 1.0.26 - Core Updates
Focused update cycle on improving core stability.

- Addressed core update issues

## 2021-01-15 - 1.0.19 to 1.0.22 - Core Fix Cycle
Incremental core updates for better performance.

- Applied multiple core updates

## 2020-08-06 - 1.0.10 to 1.0.18 - Core Adjustments
Consistent improvements and fixes in the core module.

- Ongoing core updates

## 2020-03-01 - 1.0.6 to 1.0.9 - Iterative Core Fixes
Maintaining core functionality with multiple updates.

- Continued core updates

## 2020-02-12 - 1.0.1 to 1.0.5 - Initial Core Fixes
Initial round of updates on core functionality.

- Initial set of core fixes
